 //Badspot Pirate

datablock PlayerData(BadspotPirateZombie : PlayerStandardArmor)
{
	//category = "Vehicles";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;	//total number of bricks you can carry
	maxWeapons = 0;		//this will be controlled by mini-game code
	maxTools = 0;
	runforce = 100 * 90;
	maxForwardSpeed = 15;
	maxBackwardSpeed = 15;
	maxSideSpeed = 15;
	attackpower = 50;
	//jumpsound = "ZombieJumpSound";
	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.5708;
	maxlookangle = 1.5708;
	BrickDestroyMaxVolume = 250;
	BrickMaxJumpHeight = 20;
	uiName = "Pirate Badspot";
	rideable = true;
	canRide = true;
	BrickKillRadius = 2;
	skinColor = "1 0.79 0.57 1";
	FollowAnim = "ArmReadyright";
	randomwalk = 1;
	aimatplayer = 1;
	SpecialAttack = 1;
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 90;
	ZombieTeam = "Pirates";
};
function BadspotPirateZombie::SpecialAttack(%this,%onshot)
{
	%ran = getrandom(-1,1);
	%ran2 = getrandom(-1,1);
	%this.setmovex(%ran);
	%this.setmovey(%ran);
	schedule(0,0,BadspotPirateShootMode,%this);
	schedule(500,0,BadspotPirateShootMode,%this);
	schedule(1000,0,BadspotPirateShootMode,%this);
	schedule(1500,0,BadspotPirateShootMode,%this);
	%this.schedule(2000,clearmovex);
}
function BadspotPirateShootMode(%this)
{
	if(isobject(%this) && %this.getstate() !$= "Dead")
	{
		%this.setimagetrigger(0,1);
		%this.setimagetrigger(0,0);
	}
}
function BadspotPirateZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function BadspotPirateZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}
function BadspotPirateZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function BadspotPirateZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function BadspotPirateZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	//schedule(10,0,BadspotPiratefy,%obj);
	schedule(15,0,BadspotPiratefy,%obj);
	//schedule(20,0,ghostifybot,%obj);
	//%obj.playthread(2,armreadyright);
	//%obj.setarmthread(crouch);
	%obj.mountimage(swordimage,0);
}

function BadspotPiratefy(%obj)
{
	%obj.name = "Badspot Pirate";
	%obj.chestcolor = "0.392157 0.196078 0 1";
	%obj.hatcolor = "0.0784314 0.0784314 0.0784314 1";
	%obj.rarmcolor = "0.392157";
	%obj.larmcolor = "0.392157";
	%obj.hipcolor = "0.0784314 0.0784314 0.0784314 1";
	%obj.llegcolor = "0.0784314 0.0784314 0.0784314 1";
	%obj.rlegcolor = "0.0784314 0.0784314 0.0784314 1";
	%obj.rhandcolor = "0.500 0.500 0.500 1.000";
	%obj.lhandcolor = "1 0.878431 0.611765 1";
	%obj.secondpackcolor = "0.0784314 0.0784314 0.0784314 1";

	%obj.chest = "0";
	%obj.lhand = "0";
	%obj.rhand = "1";
	%obj.larm = "0";
	%obj.rarm = "0";
	%obj.hat = "5";
	%obj.accent = "0";
	%obj.pack = "0";
	%obj.secondpack = "1";
	%obj.lleg = "1";
	%obj.rleg = "0";
	%obj.hip = "0";

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
	%obj.setfacename(smileyPirate1);
	%obj.setdecalname("Medieval-Tunic");
	%color = %obj.getdatablock().skincolor;
	%obj.setNodecolor($lhand[0], %color);
	%obj.setNodecolor($lhand[0], %color);
	%obj.setNodecolor("headskin", %color);
	//servercmdupdatebodyparts(%obj,6);
}
function servercmdsigheil(%client)
{
	%client.player.playthread(1,armreadyright);
	%client.player.setarmthread(armattack);
}
function servercmdunsigheil(%client)
{
	%client.player.setarmthread(look);
}
package BadspotPirateAttackPackage
{
function ProjectileData::onCollision(%this,%obj,%col,%fade,%pos,%normal)
{
	if(isobject(%obj.sourceobject) && %obj.sourceobject.getdatablock().getname() $= "BadspotPirateZombie")
	{
		//schedule(0,0,PropaneTankDamageF,%this,%obj,%col);
		%source = %obj.sourceobject;
		%obj.client = %obj.sourceobject;

		//echo(%source.getclassname());
		//echo(IsInMiniGame(%source));
		//echo(IsInSameMinigame(%col,%source));
		if(isobject(%obj.sourceobject) && %obj.sourceobject.getclassname() $= "AiPlayer" && IsInMinigame(%obj.sourceobject) && IsInSameMinigame(%col,%source))
		{
			if(%col.client != 0)
			{
				%source.cols = %col.client;
			}
			//%col.damage(%obj,%obj.sourceobject,%obj.getdatablock().directDamage/2,$DamageType::zombiebite);
		}
	}
	if(%col.getclassname() $= "AiPlayer" && %col.getdatablock().getname() $= "BadspotPirateZombie" && %obj.sourceobject.getdatablock().getname() $= "BadspotPirateZombie")return;

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);
}
};
activatepackage(BadspotPirateAttackPackage);